
#ifndef __TLCFUNC_HPP
#define __TLCFUNC_HPP

#include "tlcfunc.h"
#include "tlcapi.hpp"

class CTlcUser;

VOID
RemoveInvite(
CTlcUser* pUser);

GBOOL
IsUserInvis(
CTlcUser* pUser);

VOID
RemoveForget(
CTlcUser* pUser);

CTlcUser*
UserStructToClass(
LPUSRSTRUCT st);

CHAR
tlchat(INT chan, INT ch);

VOID csnotaddchan(CTlcChannel* pChannel, INT unum=-1);
VOID csnotdelchan(CTlcChannel* pChannel, INT unum=-1);

VOID cschgstatus(CTlcUser* thisUser, CTlcUser* changedUser);

GBOOL teleIsLocal(CTlcUser* pUser);

#endif // TLCFUNC_HPP



